# Colour Me OK

developing dynamic applications assignment 1 —
a simple color matching game using the OKLCH/OKLab Colour Model (firebase auth + realtime database)

## academic details

### direct deliverables

- [ ] **firebase database export** (of simulated full run) \
      file: `Deliverables/DDA_Assg1_MarkJoshwel_ColourMeOK.json`

- [ ] **unity package** \
      file: `Deliverables/DDA_Assg1_MarkJoshwel_ColourMeOK.unitypackage`
      includes: assets (scenes, textures, materials, prefabs, scripts, etc.) + packages
      excludes: firebase sdk packages

- [ ] **documentation** \
      file: `Deliverables/DDA_Assg1_MarkJoshwel_README.pdf`

- [ ] **demo video** \
      file: `Deliverables/DDA_Assg1_MarkJoshwel_ColourMeOK.zip
      includes: sign up, play game, submit score, view leaderboard, log out

- [ ] **project zip** \
      file: `Deliverables/DDA_Assg1_MarkJoshwel_ColourMeOK.zip`
      includes: _everything_ in the 'Game' unity project folder

### indirect deliverables (features)

- [ ] auth: sign up / log in / log out
- [ ] database: score submission
- [ ] game/database: user rating calculation for leaderboards
- [ ] game: leaderboard
- [ ] readme: all documentation and research done
  - meta
    - application purpose
    - what content is displayed
    - application audience
  - assets
    - external asset attribution
    - statement of original artwork/assets done
  - development process
    - design work and data modelling
    - wireframe/mockups/diagrams
